﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;

/// <summary>
/// Summary description for Data
/// </summary>
public class Data
{
	public Data()
	{
		//
		// TODO: Add constructor logic here
		//
	}

    public DataTable GetData(int startRowIndex, int maximumRows)
    {
        return MakeTable(startRowIndex, startRowIndex+maximumRows);
    }

    public int GetCount()
    {
        return 100;
    }

    private DataTable MakeTable(int start,int end)
    {
        // Create a new DataTable.
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item";
        column.AutoIncrement = false;
        column.Caption = "Item";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = start; i <= end; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Item"] = "Item " + i;
            row["Data"] = "Data " + i;
            table.Rows.Add(row);
        }
        return table;

    }
}